io.vertx.reactivex.ext.web.handler

## Class LoggerFormatter

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.LoggerFormatter

-     public class LoggerFormatter
      extends Object

  Implement to format the output of the `LoggerHandler`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<LoggerFormatter>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerFormatter(LoggerFormatter delegate)`
    `LoggerFormatter(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `format(RoutingContext routingContext, long ms)` Formats and returns the log statement
    `LoggerFormatter` | `getDelegate()`
    `int` | `hashCode()`
    `static LoggerFormatter` | `newInstance(LoggerFormatter arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<LoggerFormatter> __TYPE_ARG

  - ### Constructor Detail

    - #### LoggerFormatter

          public LoggerFormatter(LoggerFormatter delegate)

    - #### LoggerFormatter

          public LoggerFormatter(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public LoggerFormatter getDelegate()

    - #### format

          public String format(RoutingContext routingContext,
                               long ms)

      Formats and returns the log statement
      Parameters:
        `routingContext` - The routing context
        `ms` - The number of milliseconds since first receiving the request
      Returns:
        The formatted string to log

    - #### newInstance

          public static LoggerFormatter newInstance(LoggerFormatter arg)

Copyright © 2024 Eclipse. All rights reserved.